<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Constructor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A constructor in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a63b7fa51db95bed86a1d9ad30dd447b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a63b7fa51db95bed86a1d9ad30dd447b6">Constructor</a> ()</td></tr>
<tr class="separator:a63b7fa51db95bed86a1d9ad30dd447b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba75975b627b22931f3c14147555cae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#acba75975b627b22931f3c14147555cae">Constructor</a> (string type, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body=default)</td></tr>
<tr class="separator:acba75975b627b22931f3c14147555cae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a957451d0663c2f43d2fea525af1bec43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a957451d0663c2f43d2fea525af1bec43">WithType</a> (string type)</td></tr>
<tr class="separator:a957451d0663c2f43d2fea525af1bec43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acac08aa679e39effb0c0caf364d82723"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#acac08aa679e39effb0c0caf364d82723">WithBody</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body)</td></tr>
<tr class="separator:acac08aa679e39effb0c0caf364d82723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f80c153c4b71ca1c404e5aa3fe07b7c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a5f80c153c4b71ca1c404e5aa3fe07b7c">AddBaseArgument</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> arg)</td></tr>
<tr class="separator:a5f80c153c4b71ca1c404e5aa3fe07b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf95f747643d7a9a9b4179457c0c194c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#acf95f747643d7a9a9b4179457c0c194c">AddBaseArguments</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[] args)</td></tr>
<tr class="separator:acf95f747643d7a9a9b4179457c0c194c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65b81b84e3945c321ade714533811a64"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a65b81b84e3945c321ade714533811a64">AddBaseArguments</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args)</td></tr>
<tr class="separator:a65b81b84e3945c321ade714533811a64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af872f51e58e907c68e3a1a17624023b2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#af872f51e58e907c68e3a1a17624023b2">AddModifier</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> mod)</td></tr>
<tr class="separator:af872f51e58e907c68e3a1a17624023b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ef267f9a9453425e795eefd3e2555cd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a9ef267f9a9453425e795eefd3e2555cd">AddModifiers</a> (params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[] mods)</td></tr>
<tr class="separator:a9ef267f9a9453425e795eefd3e2555cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176f16a6b1994ca9d3e373cbc3070ef5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a176f16a6b1994ca9d3e373cbc3070ef5">AddModifiers</a> (IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; mods)</td></tr>
<tr class="separator:a176f16a6b1994ca9d3e373cbc3070ef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1715d51a064d8e544a22657d00fdfc0f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1715d51a064d8e544a22657d00fdfc0f">AddParameter</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> param)</td></tr>
<tr class="separator:a1715d51a064d8e544a22657d00fdfc0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2316706542666ba391b8be46081a591"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#aa2316706542666ba391b8be46081a591">AddParameters</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>[] parameters)</td></tr>
<tr class="separator:aa2316706542666ba391b8be46081a591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e81ac46aa1d7eb2112f5f732fd0a06"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a61e81ac46aa1d7eb2112f5f732fd0a06">AddParameters</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="separator:a61e81ac46aa1d7eb2112f5f732fd0a06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab8c71f0110883f36e86f55b42c36bd9d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#ab8c71f0110883f36e86f55b42c36bd9d">Type</a><code> [get]</code></td></tr>
<tr class="memdesc:ab8c71f0110883f36e86f55b42c36bd9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#ab8c71f0110883f36e86f55b42c36bd9d">More...</a><br /></td></tr>
<tr class="separator:ab8c71f0110883f36e86f55b42c36bd9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fb9f0f463edf515f8db3264c09c3637"><td class="memItemLeft" align="right" valign="top">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1fb9f0f463edf515f8db3264c09c3637">Body</a><code> [get]</code></td></tr>
<tr class="memdesc:a1fb9f0f463edf515f8db3264c09c3637"><td class="mdescLeft">&#160;</td><td class="mdescRight">Body of the constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1fb9f0f463edf515f8db3264c09c3637">More...</a><br /></td></tr>
<tr class="separator:a1fb9f0f463edf515f8db3264c09c3637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff2bbc79cea615ce3acddaba6500fa8"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#abff2bbc79cea615ce3acddaba6500fa8">BaseArguments</a><code> [get]</code></td></tr>
<tr class="memdesc:abff2bbc79cea615ce3acddaba6500fa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arguments for the constructor's base constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#abff2bbc79cea615ce3acddaba6500fa8">More...</a><br /></td></tr>
<tr class="separator:abff2bbc79cea615ce3acddaba6500fa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d46653d7f484bcedd99b46ccd73161"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a22d46653d7f484bcedd99b46ccd73161">Modifiers</a><code> [get]</code></td></tr>
<tr class="memdesc:a22d46653d7f484bcedd99b46ccd73161"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers of the constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a22d46653d7f484bcedd99b46ccd73161">More...</a><br /></td></tr>
<tr class="separator:a22d46653d7f484bcedd99b46ccd73161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8be90d9c65b73e7aa26745b38355d4ea"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a8be90d9c65b73e7aa26745b38355d4ea">Parameters</a><code> [get]</code></td></tr>
<tr class="memdesc:a8be90d9c65b73e7aa26745b38355d4ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters of the constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a8be90d9c65b73e7aa26745b38355d4ea">More...</a><br /></td></tr>
<tr class="separator:a8be90d9c65b73e7aa26745b38355d4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A constructor in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a63b7fa51db95bed86a1d9ad30dd447b6" name="a63b7fa51db95bed86a1d9ad30dd447b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b7fa51db95bed86a1d9ad30dd447b6">&#9670;&nbsp;</a></span>Constructor() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Constructor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acba75975b627b22931f3c14147555cae" name="acba75975b627b22931f3c14147555cae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acba75975b627b22931f3c14147555cae">&#9670;&nbsp;</a></span>Constructor() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Constructor </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5f80c153c4b71ca1c404e5aa3fe07b7c" name="a5f80c153c4b71ca1c404e5aa3fe07b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f80c153c4b71ca1c404e5aa3fe07b7c">&#9670;&nbsp;</a></span>AddBaseArgument()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddBaseArgument </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65b81b84e3945c321ade714533811a64" name="a65b81b84e3945c321ade714533811a64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65b81b84e3945c321ade714533811a64">&#9670;&nbsp;</a></span>AddBaseArguments() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddBaseArguments </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf95f747643d7a9a9b4179457c0c194c" name="acf95f747643d7a9a9b4179457c0c194c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf95f747643d7a9a9b4179457c0c194c">&#9670;&nbsp;</a></span>AddBaseArguments() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddBaseArguments </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[]&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af872f51e58e907c68e3a1a17624023b2" name="af872f51e58e907c68e3a1a17624023b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af872f51e58e907c68e3a1a17624023b2">&#9670;&nbsp;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&#160;</td>
          <td class="paramname"><em>mod</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a176f16a6b1994ca9d3e373cbc3070ef5" name="a176f16a6b1994ca9d3e373cbc3070ef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176f16a6b1994ca9d3e373cbc3070ef5">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ef267f9a9453425e795eefd3e2555cd" name="a9ef267f9a9453425e795eefd3e2555cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ef267f9a9453425e795eefd3e2555cd">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[]&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1715d51a064d8e544a22657d00fdfc0f" name="a1715d51a064d8e544a22657d00fdfc0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1715d51a064d8e544a22657d00fdfc0f">&#9670;&nbsp;</a></span>AddParameter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddParameter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&#160;</td>
          <td class="paramname"><em>param</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61e81ac46aa1d7eb2112f5f732fd0a06" name="a61e81ac46aa1d7eb2112f5f732fd0a06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e81ac46aa1d7eb2112f5f732fd0a06">&#9670;&nbsp;</a></span>AddParameters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddParameters </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2316706542666ba391b8be46081a591" name="aa2316706542666ba391b8be46081a591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2316706542666ba391b8be46081a591">&#9670;&nbsp;</a></span>AddParameters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.AddParameters </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>[]&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acac08aa679e39effb0c0caf364d82723" name="acac08aa679e39effb0c0caf364d82723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acac08aa679e39effb0c0caf364d82723">&#9670;&nbsp;</a></span>WithBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.WithBody </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a957451d0663c2f43d2fea525af1bec43" name="a957451d0663c2f43d2fea525af1bec43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a957451d0663c2f43d2fea525af1bec43">&#9670;&nbsp;</a></span>WithType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.WithType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="abff2bbc79cea615ce3acddaba6500fa8" name="abff2bbc79cea615ce3acddaba6500fa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abff2bbc79cea615ce3acddaba6500fa8">&#9670;&nbsp;</a></span>BaseArguments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.BaseArguments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Arguments for the constructor's base constructor </p>

</div>
</div>
<a id="a1fb9f0f463edf515f8db3264c09c3637" name="a1fb9f0f463edf515f8db3264c09c3637"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fb9f0f463edf515f8db3264c09c3637">&#9670;&nbsp;</a></span>Body</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Body</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Body of the constructor </p>

</div>
</div>
<a id="a22d46653d7f484bcedd99b46ccd73161" name="a22d46653d7f484bcedd99b46ccd73161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d46653d7f484bcedd99b46ccd73161">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access modifiers of the constructor </p>

</div>
</div>
<a id="a8be90d9c65b73e7aa26745b38355d4ea" name="a8be90d9c65b73e7aa26745b38355d4ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8be90d9c65b73e7aa26745b38355d4ea">&#9670;&nbsp;</a></span>Parameters</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Parameters</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parameters of the constructor </p>

</div>
</div>
<a id="ab8c71f0110883f36e86f55b42c36bd9d" name="ab8c71f0110883f36e86f55b42c36bd9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c71f0110883f36e86f55b42c36bd9d">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Constructor.Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Type of the constructor </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_constructor_8cs.html">Constructor.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
